summaryrefslogtreecommitdiff
path: root/tests/scripts/features
diff options
context:
space:
mode:
authorPaul Smith <psmith@gnu.org>1999-09-17 03:15:37 +0000
committerPaul Smith <psmith@gnu.org>1999-09-17 03:15:37 +0000
commita63f51340b540074dd98bfc7201e2221c5671d28 (patch)
tree8bea6f8caac20090a1951ab725bd942f7c9bd4ba /tests/scripts/features
parent45e04a5860476c40b0943e189c9a58f62dca07c8 (diff)
downloadgunmake-a63f51340b540074dd98bfc7201e2221c5671d28.tar.gz
* A few script fixes and updates for 3.78.
Diffstat (limited to 'tests/scripts/features')
-rw-r--r--tests/scripts/features/default_names6
-rw-r--r--tests/scripts/features/reinvoke12
2 files changed, 10 insertions, 8 deletions
diff --git a/tests/scripts/features/default_names b/tests/scripts/features/default_names
index 824f889..501f1fc 100644
--- a/tests/scripts/features/default_names
+++ b/tests/scripts/features/default_names
@@ -1,3 +1,5 @@
+# -*-perl-*-
+
$description = "This script tests to make sure that Make looks for
default makefiles in the correct order (GNUmakefile,makefile,Makefile)";
@@ -13,7 +15,7 @@ close(MAKEFILE);
# DOS/WIN32 platforms preserve case, but Makefile is the same file as makefile.
# Just test what we can here (avoid Makefile versus makefile test).
#
-if ($osname !~ /DOS|Windows/i)
+if ($port_type eq 'UNIX')
{
# Create another makefile called "makefile"
open(MAKEFILE,"> makefile");
@@ -45,7 +47,7 @@ unlink $makefile;
# DOS/WIN32 platforms preserve case, but Makefile is the same file as makefile.
# Just test what we can here (avoid Makefile versus makefile test).
#
-if ($osname !~ /DOS|Windows/i)
+if ($port_type eq 'UNIX')
{
$answer = "It chose makefile\n";
diff --git a/tests/scripts/features/reinvoke b/tests/scripts/features/reinvoke
index 99fb466..713580c 100644
--- a/tests/scripts/features/reinvoke
+++ b/tests/scripts/features/reinvoke
@@ -18,7 +18,7 @@ all: ; \@echo 'running rules.'
$makefile $makefile2: $makefile_orig
\@echo 'rebuilding \$\@.'
- \@touch \$\@
+ \@echo >> \$\@
include $makefile2
@@ -54,11 +54,11 @@ SHELL = /bin/sh
all: ; @echo hello
-a : b ; touch $@
+a : b ; echo >> $@
-b : c ; [ -f $@ ] || touch $@
+b : c ; [ -f $@ ] || echo >> $@
-c: ; touch $@
+c: ; echo >> $@
include $(F)
EOM
@@ -74,7 +74,7 @@ sleep(2);
&run_make_with_options($makefile3, "F=a", &get_logfile, 0);
-$answer = "[ -f b ] || touch b\nhello\n";
+$answer = "[ -f b ] || echo >> b\nhello\n";
&compare_output($answer,&get_logfile(1));
# Now try with the file we're not updating being the actual file we're
@@ -82,7 +82,7 @@ $answer = "[ -f b ] || touch b\nhello\n";
&run_make_with_options($makefile3, "F=b", &get_logfile, 0);
-$answer = "[ -f b ] || touch b\nhello\n";
+$answer = "[ -f b ] || echo >> b\nhello\n";
&compare_output($answer,&get_logfile(1));
unlink('a','b','c');